# Class BasicInternalFrameUI.InternalFramePropertyChangeListener

java.lang.Object
javax.swing.plaf.basic.BasicInternalFrameUI.InternalFramePropertyChangeListener

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `BasicInternalFrameUI`

public class BasicInternalFrameUI.InternalFramePropertyChangeListener extends Object implements PropertyChangeListener
Internal frame property change listener.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalFramePropertyChangeListener()`
  Constructs an `InternalFramePropertyChangeListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `propertyChange(PropertyChangeEvent evt)`
  Detects changes in state from the JInternalFrame and handles actions.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InternalFramePropertyChangeListener

    public InternalFramePropertyChangeListener()
    Constructs an `InternalFramePropertyChangeListener`.

- ## Method Details

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent evt)
    Detects changes in state from the JInternalFrame and handles actions.
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`
    Parameters:
      `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.